freemarker.cache

## Interface CacheStorage

All Known Subinterfaces:
  CacheStorageWithGetSize, ConcurrentCacheStorage

All Known Implementing Classes:
  MruCacheStorage, NullCacheStorage, SoftCacheStorage, StrongCacheStorage

    public interface CacheStorage

Cache storage abstracts away the storage aspects of a cache - associating an object with a key, retrieval and removal via the key. It is actually a small subset of the `Map` interface. The implementations can be coded in a non-threadsafe manner as the natural user of the cache storage, `TemplateCache` does the necessary synchronization.

See Also:
  `Configuration.setCacheStorage(CacheStorage)`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clear()`
`Object` `get(Object key)`
`void` `put(Object key, Object value)`
`void` `remove(Object key)`

### Method Detail

#### get

    Object get(Object key)

#### put

    void put(Object key,
             Object value)

#### remove

    void remove(Object key)

#### clear

    void clear()